Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.filter
Class PeriodRule

    java.lang.Object
      net.fortuna.ical4j.filter.ComponentRule
          net.fortuna.ical4j.filter.PeriodRule

All Implemented Interfaces:
  Rule

    public class PeriodRule

extends ComponentRule

A rule that matches any component that occurs in the specified time period.

Author:
  Ben Fortuna

Constructor Summary
`PeriodRule(Period period)` Constructs a new instance using the specified period.

Method Summary
`boolean` | `match(Component component)`

Methods inherited from class net.fortuna.ical4j.filter.ComponentRule
`match`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PeriodRule

    public PeriodRule(Period period)

  Constructs a new instance using the specified period.

  Parameters:
    `period` -

Method Detail

### match

    public final boolean match(Component component)

  Specified by:
    `match` in class `ComponentRule`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.